Bug 499087 - (perl-Locale-PO) Review Request: perl-Locale-PO - Perl module for manipulating .po entries from GNU gettext
Review Request: perl-Locale-PO - Perl module for manipulating .po entries fro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Locale-PO/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 03:15 EDT by Iain Arnell
Modified: 2016-08-14 13:17 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.21-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 23:44:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-05 03:15:36 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Locale-PO.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Locale-PO-0.21-1.fc12.src.rpm

Description:
This module simplifies management of GNU gettext .po files and is an
alternative to using emacs po-mode. It provides an object-oriented
interface in which each entry in a .po file is a Locale::PO object.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1336384

*rt-0.09
Comment 1 Parag AN(पराग) 2009-05-05 04:24:03 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1336384
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
2cb9a5f472e944685c43588e18f24fcb6101de47  Locale-PO-0.21.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=30,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.15 cusr  0.03 csys =  0.19 CPU)
+ Package perl-Locale-PO-0.21-1.fc12.noarch =>
Provides: perl(Locale::PO) = 0.21
Requires: perl(Carp) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Iain Arnell 2009-05-05 04:31:07 EDT
New Package CVS Request
=======================
Package Name: perl-Locale-PO
Short Description: Perl module for manipulating .po entries from GNU gettext
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-06 17:10:36 EDT
cvs done.
Comment 4 Fedora Update System 2009-05-06 23:42:44 EDT
perl-Locale-PO-0.21-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Locale-PO-0.21-1.fc11
Comment 5 Fedora Update System 2009-05-06 23:42:49 EDT
perl-Locale-PO-0.21-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Locale-PO-0.21-1.fc10
Comment 6 Iain Arnell 2009-05-06 23:44:27 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-18 22:07:32 EDT
perl-Locale-PO-0.21-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-18 22:10:10 EDT
perl-Locale-PO-0.21-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Iain Arnell 2010-07-18 01:48:14 EDT
Package Change Request
======================
Package Name: perl-Locale-PO
New Branches: EL-5 EL-6
Owners: iarnell rlandmann
InitialCC: perl-sig

Note that perl-Locale-PO is currently in EL6 optional, but not for all archs.
Comment 10 Kevin Fenzi 2010-07-19 00:41:35 EDT
CVS done (by process-cvs-requests.py).

Make sure and build the exact same version thats in RHEL.

Note You need to log in before you can comment on or make changes to this bug.